TAAS - Feature #183

Hotel Cancel
05/03/2023 02:35 PM - Junaid M

Status: Reopen Bugs Start date: 05/03/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Hotel Cancel

Description

Coding Hotel Cancel

History

#1 - 05/05/2023 06:41 PM - Aparna Mathew
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 05/23/2023 09:57 AM - Aparna Mathew
- Status changed from Coding Started to Particialy Coding Done

#3 - 07/22/2023 06:06 PM - unnikannan S
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.CORRECT THE ALLIGMENT OF RESPONSIBLE USER SELECTION
2.ALLIGMENT ISSUE WHILE SELECTING XO

3.CORRECT THE ALLIGMENT IN AP SHARING WHILE CHOOSING CARD

4.REMOVE THE OPTION ASCENDING DESCENDING FUNCTION KEY FROM AP SHARING WHILE SELECTING CARD

#4 - 07/22/2023 06:08 PM - unnikannan S
ISSUE FOUNDED

1.CORRECT THE ALLIGMENT OF RESPONSIBLE USER SELECTION
2.ALLIGMENT ISSUE WHILE SELECTING XO

3.CORRECT THE ALLIGMENT IN AP SHARING WHILE CHOOSING CARD

4.REMOVE THE OPTION ASCENDING DESCENDING FUNCTION KEY FROM AP SHARING WHILE SELECTING CARD

5.Nan WHILE CLEARING IN FARE

#5 - 09/09/2023 09:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#6 - 09/09/2023 06:17 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

SAME ISSUES AS ON HOTEL ISSUE (CHECK)
#7 - 10/06/2023 05:20 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1.ADD BRACKET COLUM FOR ACTUAL PROFIT
2.CORRECT ALIGNMENT OF CUSTOMER PAYABLE & SUPPLIER RECEIVABLE
3.SAVING ERROR

#8 - 10/12/2023 02:39 PM - Seema Mathew

Seema Mathew wrote in #note-7:
ISSUE FOUNDED****

1.ADD BRACKET COLUM FOR ACTUAL PROFIT
2.CORRECT ALIGNMENT OF CUSTOMER PAYABLE & SUPPLIER RECEIVABLE
3.SAVING ERROR

4.ADD DEFAULT BRANCH AND DEPT IN HOTEL CANCEL

#9 - 10/26/2023 05:19 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 11/15/2023 05:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ERROR WHILE CHANGING MEALS PLAN

Error converting value "NaN" to type 'System.Int64'. Path 'mdiHotelCancel.mdIHotel.binMealsPlanld, line 1, position 6913.
2.ISSUE IN FOCUS OUT

3.REMOVE DEFAULT DELETE AND EDIT OPTION FROM AP SHARING

#11 - 12/01/2023 09:34 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 12/22/2023 10:00 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING DELETE BUTTON IF SAVING ISSSUED VOUCHERS
2.ERROR IN PRODUCTIVITY REPORT IF DIRECT CANCELLING A VOUCHER
3.MISSING SELECTED VOID CHECK BOX AFTER SAVE

#13 - 01/02/2024 06:00 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 01/03/2024 12:46 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED

1.ADD VALIDATON FOR CHECK IN/CHECK OUT DATE

2.ISSUE WHILE CHOOSING NEW BUTTON AND SAVE

3.CHANGE IN FARE FIELDS IN FOCUS OUT FROM PERCENTAGE FIELD ALSO IN AP SHARING FIELD
4.AUTO CHANGE WHILE CHANGING PAX TYPE

5.NOT ADDING FARE COMPONENET SUPPLIER CHARGE IN COST OR TOTAL

#15 - 08/10/2024 07:39 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#16 - 08/31/2024 10:39 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 08/31/2024 06:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Auto Selecting Hotel Without Selection

2.Validate Supplier Field in Ap Sharing

3.Add Validation No.Of Pax

4.Error While Clearing Default Value From No.Of Rooms

#18 - 09/02/2024 10:40 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#19 - 10/07/2024 05:51 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

NEW CHANGES

1. In Hotel Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#20 - 11/23/2024 05:35 PM - Arathy PS
NEW CHANGES

Additional Pax

—> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—>Add 'Import' Button after 'Sequence' button

* Check Account or JV import

— File* (Red) file Chooser

-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>
-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

—> In Additional Pax Pop-up —--> at the end of pax add attachment icon as grouped. click then open attachemnt u

pload for pax name
—> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachment upload for pa
X name.

#21 - 12/17/2024 11:40 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Not showing tax amount based on region based billing tax.

#22 - 12/18/2024 10:35 AM - Aparna Mathew

- Status changed from Reopen Bugs to New Changes

#23 - 01/02/2025 03:30 PM - Arathy PS

- Assignee changed from Aparna Mathew to Baseem Shan

#24 - 01/08/2025 03:54 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Normal Profit of refund should be difference of refund charge and supplier charge and actual profit should be the difference in service fee or other
fare components in customer side from sale
FIXED - 2. Can change the mandatory fields filled in voucher stock after loading them here.

NEW CHANGES

ADDED - 1==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

ADDED - 2. Add a new field 'Service Provider'.

NEW CHANGES

ADDED - 1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card'":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#25 - 03/10/2025 02:44 PM - Theja Ponon
- File clipboard-202503101444-4qegg.png added

Issue Found

FIXED - 1)After AP sharing
FIXED - 2)Asking to allow partial payment in case of paying full amount through AP Sharing
FIXED - 3)lssue on calculating output tax(based on customer amount)

#26 - 03/20/2025 04:57 PM - Baseem Shan

Implemented Set Fee/ Discount.

#27 - 03/21/2025 01:44 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 04/12/2025 11:49 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When we do old refund reverse tax for sale is showing.

Files

clipboard-202503101444-4gegg.png 237 KB 03/10/2025 Theja Ponon
